package com.yem.wm.bc.change.business;

import com.yem.wm.bc.change.business.service.XBillChangeService;
import kd.bos.dataentity.entity.DynamicObject;

import java.util.HashMap;
import java.util.Map;

/**
 * @author 夜子
 * @ClassName XtxtceshjiChangeService
 * @description: 变更测试 参数类
 * @date 2023年08月07日
 * @version: 1.0
 */
public class XtxtceshjiChangeService extends XBillChangeService {

    @Override
    public Map<String, Map<String, String>> getXBillEntryAndOp() {
        Map<String, Map<String, String>> result = new HashMap();
        Map<String, String> value = new HashMap();
        value.put("entity", "entryentity");
        value.put("entry_toolbar", "advcontoolbarap");
        value.put("btn_add", "tb_new");
        value.put("btn_delete", "tb_del");
        value.put("btn_modify", "modifyrow");
        value.put("changetype", "changetype");
        value.put("srcid", "yem_billentrysrcid");
        result.put(value.get("entity"), value);
        Map<String, String> payvalue = new HashMap();
        payvalue.put("entity", "yem_subentryentity");
        payvalue.put("entry_toolbar", "yem_advcontoolbarap");
        payvalue.put("btn_add", "yem_advconbaritemap");
        payvalue.put("btn_delete", "yem_advconbaritemap1");
        payvalue.put("btn_modify", "yem_modifyrow");
        payvalue.put("changetype", "yem_changetype");
        payvalue.put("srcid", "yem_billentrysrcid1");
        result.put(payvalue.get("entity"), payvalue);
            Map<String, String> termvalue = new HashMap();
        termvalue.put("entity", "yem_entryentity");
        termvalue.put("entry_toolbar", "yem_advcontoolbarap1");
        termvalue.put("btn_add", "yem_advconbaritemap2");
        termvalue.put("btn_delete", "yem_advconbaritemap3");
        termvalue.put("btn_modify", "yem_modifyrow1");
        termvalue.put("changetype", "yem_changetype2");
        termvalue.put("srcid", "yem_billentrysrcid3");
        result.put(termvalue.get("entity"), termvalue);
        Map<String, String> termvalue1 = new HashMap();
        termvalue1.put("entity", "yem_treeentryentity");
        termvalue1.put("entry_toolbar", "yem_advcontoolbarap2");
        termvalue1.put("btn_add", "yem_advconbaritemap4");
        termvalue1.put("btn_delete", "yem_advconbaritemap5");
        termvalue1.put("btn_modify", "yem_modifyrow2");
        termvalue1.put("changetype", "yem_changetype1");
        termvalue1.put("srcid", "yem_billentrysrcid2");
        result.put(termvalue1.get("entity"), termvalue1);
        return result;
    }

}
